import { __assign } from "tslib";
import { withThemeableProps } from '../../../useThemeable';
import Vue from 'vue';
import { BaseButton } from '../BaseButton';
import { getStyles } from './CommandBarButton.styles';
export var CommandBarButton = Vue.extend({
    props: __assign({}, withThemeableProps()),
    computed: {
        internalStyles: function () {
            var _a = this, theme = _a.theme, styles = _a.styles;
            return getStyles(theme, styles);
        },
    },
    render: function (h) {
        var props = {
            variantClassName: 'ms-Button--commandBar',
            styles: this.internalStyles,
            theme: this.theme,
        };
        return h(BaseButton, {
            attrs: __assign(__assign(__assign({}, this.$props), props), this.$attrs),
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    },
});
//# sourceMappingURL=CommandBarButton.js.map