import { __assign } from "tslib";
import { getStyles } from './CompoundButton.styles';
import { BaseButton } from '../BaseButton';
import Vue from 'vue';
import { withThemeableProps } from '../../../useThemeable';
export var CompoundButton = new Vue({
    props: __assign(__assign({}, withThemeableProps()), { primary: { type: Boolean, default: false } }),
    computed: {
        internalStyles: function () {
            var _a = this, _b = _a.primary, primary = _b === void 0 ? false : _b, theme = _a.theme, styles = _a.styles;
            return getStyles(theme, styles, primary);
        },
    },
    render: function (h) {
        var _a = this, primary = _a.primary, internalStyles = _a.internalStyles;
        var props = {
            variantClassName: primary ? 'ms-Button--compoundPrimary' : 'ms-Button--compound',
            styles: internalStyles,
            theme: this.theme,
        };
        return h(BaseButton, {
            attrs: __assign(__assign(__assign({}, this.$props), props), this.$attrs),
            on: this.$listeners,
            scopedSlots: this.$scopedSlots,
        });
    },
});
//# sourceMappingURL=CompoundButton.js.map