import { __assign } from "tslib";
import { CommandButton, IconButton } from "../../../components";
import { withThemeableProps } from "../../../useThemeable";
import { classNamesFunction } from "@uifabric-vue/utilities";
import Vue from "vue";
var getClassNames = classNamesFunction();
export var SuggestionsItem = Vue.extend({
    props: __assign(__assign({}, withThemeableProps()), { suggestionModel: { type: Object, required: true }, isSelectedOverride: { type: Boolean, default: false }, removeButtonIconProps: { type: Object, default: undefined } }),
    computed: {
        classNames: function () {
            var _a = this, styles = _a.styles, theme = _a.theme, className = _a.className, suggestionModel = _a.suggestionModel, isSelectedOverride = _a.isSelectedOverride;
            return getClassNames(styles, {
                theme: theme,
                className: className,
                suggested: suggestionModel.selected || isSelectedOverride,
            });
        }
    },
    render: function (h) {
        var _a;
        var classNames = this.classNames;
        return h('div', {
            class: classNames.root,
            attrs: {
                role: 'presentation'
            }
        }, [
            h(CommandButton, {
                class: classNames.itemButton,
                attrs: {
                    role: 'option'
                }
            }, this.$slots.default),
            h(IconButton, {
                class: classNames.closeButton,
                props: {
                    iconProps: (_a = this.removeButtonIconProps) !== null && _a !== void 0 ? _a : { iconName: 'Cancel' },
                    styles: { icon: { fontSize: '12px' } },
                }
            })
        ]);
    }
});
//# sourceMappingURL=SuggestionsItem.js.map