import { IProcessedStyleSet } from '@fluentui/style-utilities';
import Vue from 'vue';
import { IDayInfo, IWeekCorners } from './CalendarDayGrid.base';
import { ICalendarDayGridProps, ICalendarDayGridStyles } from './CalendarDayGrid.types';
export interface ICalendarGridRowProps extends ICalendarDayGridProps {
    classNames: IProcessedStyleSet<ICalendarDayGridStyles>;
    weeks: IDayInfo[][];
    week: IDayInfo[];
    weekIndex: number;
    weekCorners?: IWeekCorners;
    ariaHidden?: boolean;
    rowClassName?: string;
    ariaRole?: string;
    activeDescendantId: string;
    calculateRoundedStyles?(classNames: IProcessedStyleSet<ICalendarDayGridStyles>, above: boolean, below: boolean, left: boolean, right: boolean): string;
    getDayInfosInRangeOfDay?(dayToCompare: IDayInfo): IDayInfo[];
    getRefsFromDayInfos?(dayInfosInRange: IDayInfo[]): (HTMLElement | null)[];
}
export declare const CalendarGridRow: import("vue/types/vue").ExtendedVue<Vue, {}, {}, {}, {
    theme?: import("@fluentui/style-utilities").ITheme | undefined;
    className?: string | undefined;
    styles?: import("@uifabric-vue/utilities").IStyleFunctionOrObject<import("./CalendarDayGrid.types").ICalendarDayGridStyleProps, ICalendarDayGridStyles> | undefined;
    classNames: IProcessedStyleSet<ICalendarDayGridStyles>;
    onSelectDate?: void | ((date: Date, selectedDateRangeArray?: Date[] | undefined) => void);
    onDismiss?: void | (() => void);
    today?: Date | undefined;
    dateRangeType: import("@fluentui/date-time-utilities").DateRangeType;
    firstDayOfWeek: import("@fluentui/date-time-utilities").DayOfWeek;
    firstWeekOfYear: import("@fluentui/date-time-utilities").FirstWeekOfYear;
    showWeekNumbers?: boolean | undefined;
    strings: import("@fluentui/date-time-utilities").ICalendarStrings;
    dateTimeFormatter: import("@fluentui/date-time-utilities").IDateFormatting;
    minDate?: Date | undefined;
    maxDate?: Date | undefined;
    restrictedDates?: Date[] | undefined;
    workWeekDays?: import("@fluentui/date-time-utilities").DayOfWeek[] | undefined;
    showCloseButton?: boolean | undefined;
    allFocusable?: boolean | undefined;
    navigatedDate: Date;
    onNavigateDate?: void | ((date: Date, focusOnNavigatedDay: boolean) => void);
    selectedDate: Date;
    daysToSelectInDayView?: number | undefined;
    customDayCellRef?: void | ((element: HTMLElement, date: Date, classNames: IProcessedStyleSet<ICalendarDayGridStyles>) => void);
    weeksToShow?: number | undefined;
    labelledBy?: string | undefined;
    lightenDaysOutsideNavigatedMonth?: boolean | undefined;
    animationDirection?: import("..").AnimationDirection | undefined;
    getMarkedDays?: Date[] | ((startingDate: Date, endingDate: Date) => Date[]) | undefined;
    markedDays?: Date[] | undefined;
    weeks: IDayInfo[][];
    weekCorners?: IWeekCorners | undefined;
    week: IDayInfo[];
    weekIndex: number;
    ariaHidden?: boolean | undefined;
    rowClassName?: string | undefined;
    ariaRole?: string | undefined;
    activeDescendantId: string;
    calculateRoundedStyles?: string | ((classNames: IProcessedStyleSet<ICalendarDayGridStyles>, above: boolean, below: boolean, left: boolean, right: boolean) => string) | undefined;
    getDayInfosInRangeOfDay?: IDayInfo[] | ((dayToCompare: IDayInfo) => IDayInfo[]) | undefined;
    getRefsFromDayInfos?: ((dayInfosInRange: IDayInfo[]) => (HTMLElement | null)[]) | (HTMLElement | null)[] | undefined;
}>;
//# sourceMappingURL=CalendarGridRow.d.ts.map